uniform mat4 u_mvpMatrix;
uniform mat4 u_mvMatrix;

attribute vec4 a_vertex;
attribute vec3 a_normal;
attribute vec4 a_colour;
attribute vec2 a_texture;
	
varying vec3 v_normal;
varying vec4 v_colour;
varying vec3 v_vertex;
varying vec2 v_texture;

void main()
	{
	// Transform the normal's orientation into eye space.
	v_normal = vec3(u_mvMatrix * vec4(a_normal, 0.0));
	v_vertex = vec3(u_mvMatrix * a_vertex);
	v_colour = a_colour;
	v_texture = a_texture;
	gl_Position = u_mvpMatrix * a_vertex;
	}